#pragma once

#include "CoreMinimal.h"
#include "MatchmakingPlayerReadyStatusViewData.h"
#include "MatchmakingReadyStatusViewData.generated.h"

USTRUCT(BlueprintType)
struct FMatchmakingReadyStatusViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<FMatchmakingPlayerReadyStatusViewData> Players;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsLocalPlayerReady;

public:
	DBDUIVIEWINTERFACES_API FMatchmakingReadyStatusViewData();
};

FORCEINLINE uint32 GetTypeHash(const FMatchmakingReadyStatusViewData) { return 0; }
